
From: Andrew Morton <akpm@osdl.org>

Work around gcc-2.95.x macro expansion bug

From: David Teigland <teigland@redhat.com>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/dlm_internal.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/dlm/dlm_internal.h~dlm-lockspaces-callbacks-directory-build-fix drivers/dlm/dlm_internal.h
--- 25/drivers/dlm/dlm_internal.h~dlm-lockspaces-callbacks-directory-build-fix	2005-05-31 17:53:03.000000000 -0700
+++ 25-akpm/drivers/dlm/dlm_internal.h	2005-05-31 17:53:03.000000000 -0700
@@ -76,9 +76,9 @@ struct dlm_rcom;
 struct dlm_mhandle;
 
 #define log_print(fmt, args...) \
-	printk(KERN_ERR "dlm: "fmt"\n", ##args)
+	printk(KERN_ERR "dlm: "fmt"\n" , ##args)
 #define log_error(ls, fmt, args...) \
-	printk(KERN_ERR "dlm: %s: " fmt "\n", (ls)->ls_name, ##args)
+	printk(KERN_ERR "dlm: %s: " fmt "\n", (ls)->ls_name , ##args)
 
 #ifdef CONFIG_DLM_DEBUG
 int dlm_create_debug_file(struct dlm_ls *ls);
_
